Subject: Fire blight and malus x purpurea

From: Leslie Troutman <[email-masked]>
Date: Tue, 28 Mar 1995 13:05:08 -0600

Anyone have any experiece with crab apples and fire blight?  I'm
pretty sure that's the problem.  The tree is about 25'- 30' tall (tops for
this model, I think).  Last summer there was a poor blossom showing (but I
know that that's ok), it leafed out late and sparse, and the leaves
dropped early.  Several of the branches had the tell-tale brown, wilted
look at the ends; even worse, on side of trunk looks scorched and the bark
is peeling.  Can this tree be saved (organically)?  If it's got to come
down, should I stay away from other apple cultivars for a few years?  
Should I get someone who knows what's going on to looks at it?

Leslie 
[email-masked]